org.eclipse.mat.ui.internal.views

## Class NavigatorViewPage

- java.lang.Object
- - Page
  - - org.eclipse.mat.ui.internal.views.NavigatorViewPage

All Implemented Interfaces:
  NavigatorState.IStateChangeListener

    public class NavigatorViewPage
    extends Page
    implements NavigatorState.IStateChangeListener

### Constructor Summary

Constructors
Constructor and Description
`NavigatorViewPage(MultiPaneEditor editor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`void` `createControl(Composite parent)`
`void` `dispose()`
`void` `doubleClick(DoubleClickEvent event)`
`Control` `getControl()`
`ISelection` `getSelection()`
`void` `init(IPageSite pageSite)`
`void` `onStateChanged(PaneState state)`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection(ISelection selection)`
`void` `update()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigatorViewPage

    public NavigatorViewPage(MultiPaneEditor editor)

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### getControl

    public Control getControl()

#### setFocus

    public void setFocus()

#### update

    public void update()

#### doubleClick

    public void doubleClick(DoubleClickEvent event)

#### init

    public void init(IPageSite pageSite)

#### onStateChanged

    public void onStateChanged(PaneState state)

Specified by:
  `onStateChanged` in interface `NavigatorState.IStateChangeListener`

#### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

#### getSelection

    public ISelection getSelection()

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

#### setSelection

    public void setSelection(ISelection selection)

#### dispose

    public void dispose()